Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.download
Class DownloadBean

    java.lang.Object
      |
      +--javazoom.download.DownloadBean

All Implemented Interfaces:
  DownloadListener

public class DownloadBean
extends java.lang.Object
implements DownloadListener

This class allows to read FileInfo of downloaded files. It implements DownloadListener to get notified.

Constructor Summary
`DownloadBean()`

Method Summary
`FileInfo` | `getFileInfo(java.lang.String filename)` Returns FileInfo instance for filename.
`java.lang.String` | `getFilename()` Gets filename of last download.
`int` | `getMaxDownload(java.lang.String filename)` Returns max number of downloads for filename.
`int` | `getTotalDownload(java.lang.String filename)` Returns download hits for filename.
`int` | `getTotalIncompleteDownload(java.lang.String filename)` Returns number of incomplete downloads for filename.
`void` | `update(java.util.Vector v)` Updates FileInfo for download files (DownloadListener callback).
`void` | `updateFilename(java.lang.String filename)` State updated for filename (DownloadListener callback).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownloadBean

    public DownloadBean()

Method Detail

### getFilename

    public java.lang.String getFilename()

  Gets filename of last download.

  Returns:
    filename

### getMaxDownload

    public int getMaxDownload(java.lang.String filename)

  Returns max number of downloads for filename.

  Parameters:
    `filename` - Input filename
  Returns:
    Download limit for the input filename.

### getTotalDownload

    public int getTotalDownload(java.lang.String filename)

  Returns download hits for filename.

  Parameters:
    `filename` - Input filename
  Returns:
    Download hits for the input filename.

### getTotalIncompleteDownload

    public int getTotalIncompleteDownload(java.lang.String filename)

  Returns number of incomplete downloads for filename.

  Parameters:
    `filename` - Input filename
  Returns:
    Incomplete downloads for the input filename.

### getFileInfo

    public FileInfo getFileInfo(java.lang.String filename)

  Returns FileInfo instance for filename.

  Parameters:
    `filename` - Input filename.
  Returns:
    FileInfo for input filename.

### update

    public void update(java.util.Vector v)

  Updates FileInfo for download files (DownloadListener callback).

  Specified by:
    `update` in interface `DownloadListener`
  Parameters:
    `v` - Vector of FileInfo.

### updateFilename

    public void updateFilename(java.lang.String filename)

  State updated for filename (DownloadListener callback).

  Specified by:
    `updateFilename` in interface `DownloadListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD